<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>SysInfo</title>
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />
  </head>
  <body>

    <div id="header"></div>

    <div class="container">

      <h2 class="text-align-center">System Information</h2>

      <div id="output"></div>

    </div>
  </body>

  <script>
    console.log(process);

    let headerMenu = `
    <!-- Header Menu -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
      <a class="navbar-brand" href="#">Navbar</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarColor01">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Features</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Pricing</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">About</a>
          </li>
        </ul>
        <form class="form-inline my-2 my-lg-0">
          <input class="form-control mr-sm-2" placeholder="Search" type="text">
          <button class="btn btn-secondary my-2 my-sm-0" type="submit">Search</button>
        </form>
      </div>
    </nav>

    <br/><br/>

    `;

    document.getElementById('header').innerHTML = headerMenu;

    let output = `

      <h3 class="page-header">App Version Data</h3>
      <ul class="list-group">
        <li class="list-group-item">Node: ${process.versions.node} </li>
        <li class="list-group-item">Chrome: ${process.versions.chrome} </li>
        <li class="list-group-item">Electron: ${process.versions.electron} </li>
      </ul>

      <br/><br/>
      <h3 class="page-header">System Specs</h3>
      <ul class="list-group">
        <li class="list-group-item">System Architecture : ${process.arch} </li>
        <li class="list-group-item">Processor Identifier: ${process.env.PROCESSOR_IDENTIFIER} </li>
      </ul>

      <br/><br/>
      <h3 class="page-header">System Memory</h3>
      <ul class="list-group">
        <li class="list-group-item">Total : ${process.getSystemMemoryInfo().total} </li>
        <li class="list-group-item">Free : ${process.getSystemMemoryInfo().free} </li>
        <li class="list-group-item">Swap Total : ${process.getSystemMemoryInfo().swapTotal} </li>
        <li class="list-group-item">Swap Free : ${process.getSystemMemoryInfo().swapFree} </li>
      </ul>

      <br/><br/>
      <h3 class="page-header">Compouter Information</h3>
      <ul class="list-group">
        <li class="list-group-item">Computer Name : ${process.env.COMPUTERNAME} </li>
        <li class="list-group-item">Username : ${process.env.USERNAME} </li>
        <li class="list-group-item">User Home Path : ${process.env.HOME} </li>
        <li class="list-group-item">System Drive : ${process.env.SYSTEMDRIVE} </li>
        <li class="list-group-item">System Root : ${process.env.SYSTEMROOT} </li>
      </ul>

      `;

    document.getElementById('output').innerHTML = output;
  </script>

  <script>
    require('./renderer.js');
  </script>
</html>
